%define major 0
%define libnamedevelold %mklibname %{name} 0 -d
%define libname %mklibname %{name} %{major}
%define libnamedevel %mklibname %{name} -d
%define libnamestaticdevel %mklibname %{name} -d -s

Summary:	Simplifies the creation and maintenance of programs
Name:		autogen
Version:	5.9.5
Release:	%mkrel 2
Group:		Development/Other
License:	GPLv2+
URL:		http://autogen.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/autogen/autogen-%{version}.tar.gz
Patch0:		autogen-libguile_linkage_fix.diff
Requires(post): info-install
Requires(preun): info-install
BuildRequires:	chrpath
BuildRequires:	libguile-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		Development/Other

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n	%{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libnamedevelold} < %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n	%{libnamestaticdevel}
Summary:	Static libraries for %{name}
Group:		Development/Other
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}

%description -n	%{libnamestaticdevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%prep

%setup -q
%patch0 -p1

%build
%configure2_5x
#parallel build randomly fails
make

%install
rm -rf %{buildroot}

%makeinstall

%{_bindir}/chrpath -d %{buildroot}/%{_libdir}/lib*.so.* %{buildroot}/%{_bindir}/{autogen,columns,getdefs,xml2ag}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/*/*
%{_datadir}/aclocal/*
%{_datadir}/autogen

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(0755,root,root,0755)
%{_bindir}/autoopts-config
%defattr(0644,root,root,0755)
%{_includedir}/autoopts
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdevel}
%defattr(0644,root,root,0755)
%{_libdir}/*.a


%changelog
* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-2mdv2009.0
+ Revision: 227986
- rebuilt due to PayloadIsLzma problems

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-1mdv2009.0
+ Revision: 227867
- 5.9.5
- added P0 to fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.4-1mdv2008.1
+ Revision: 139564
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Funda Wang <fundawang@mandriva.org> 5.9.3-1mdv2008.1
+ Revision: 102347
- update to new version 5.9.3

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.9.2-1mdv2008.0
+ Revision: 78922
- 5.9.2
- new lib policy

* Sun May 06 2007 David Walluck <walluck@mandriva.org> 5.9.1-1mdv2008.0
+ Revision: 23681
- 5.9.1


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 5.9-1mdv2007.0
+ Revision: 133427
- New version 5.9

* Sun Feb 18 2007 Emmanuel Andry <eandry@mandriva.org> 5.8.9-1mdv2007.1
+ Revision: 122213
- New version 5.8.9
- Import autogen

* Fri Sep 01 2006 Couriousous <couriousous@mandriva.org> 5.8.5-1mdv2007.0
- 5.8.5

* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 5.8.4-1mdk
- 5.8.4

* Mon Aug 01 2005 Couriousous <couriousous@mandriva.org> 5.7.2-1mdk
- 5.7.2

* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 5.7.1-1mdk
- 5.7.1

* Mon Apr 04 2005 Couriousous <couriousous@mandriva.org> 5.7-1mdk
- 5.7

* Sat Mar 19 2005 Couriousous <couriousous@mandrake.org> 5.6.6-1mdk
- Some spec fix
- From trem <trem@zarb.org> : 
	- First Mandrakelinux release

